package com.shcd.enums;

import lombok.Getter;

@Getter
public enum ShorePowerQuarterDataType {
    CONTAINER_BERTH(0,"集装箱泊位"),
    ROLL_BERTH(1,"滚装泊位"),
    DRY_BULK_CARGO_BERTH_2000(2,"干散货船泊位2000吨以上"),
    DRY_BULK_CARGO_BERTH_OTHER(3,"干散货船泊位其他"),
    MULTI_USE_BERTH_2000(4,"多用途泊位2000吨以上"),
    MULTI_USE_BERTH_OTHER(5,"多用途泊位其他"),
    COMMON_BERTH_2000(6,"普通泊位2000吨以上"),
    COMMON_BERTH_OTHER(7,"普通泊位其他"),
    CRUISE_BERTH(8,"游轮泊位"),
    PASSENGER_BERTH(9,"客船泊位"),
    OTHER_BERTH(10,"其他泊位"),
    SUM(99,"合计");
    private  Integer dataType;
    private String dataTypeName;

    ShorePowerQuarterDataType(Integer dataType, String dataTypeName) {
        this.dataType = dataType;
        this.dataTypeName = dataTypeName;
    }
}
